Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/py-pygit2: new aport

From: Pierre-Gildas MILLON <pg.millon_at_gmail.com>
Date: Mon, 28 Sep 2015 21:58:47 +0000

https://github.com/libgit2/pygit2
Python bindings for libgit2
---
 testing/py-pygit2/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/py-pygit2/APKBUILD
diff --git a/testing/py-pygit2/APKBUILD b/testing/py-pygit2/APKBUILD
new file mode 100644
index 0000000..a85332f
--- /dev/null
+++ b/testing/py-pygit2/APKBUILD
_at_@ -0,0 +1,37 @@
+# Contributor: Pierre-Gildas MILLON <pgmillon_at_gmail.com>
+# Maintainer:
+pkgname=py-pygit2
+pkgver=0.23.1
+pkgrel=0
+pkgdesc="Python bindings for libgit2"
+url=https://github.com/libgit2/pygit2
+arch=all
+license=GPLv2
+depends=libgit2
+makedepends="py-setuptools py-cffi python-dev"
+source=saveas-https://github.com/libgit2/pygit2/archive/v${pkgver}.tar.gz/pygit2-${pkgver}.tar.gz
+
+_builddir=$srcdir/pygit2-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --root "$pkgdir"
+}
+
+md5sums="ad1e53c55d7297ab0d84f9cbb9fc592b  pygit2-0.23.1.tar.gz"
+sha256sums="7ce72913a183696f90563b5710fdcb78af2559959019349de794fd1d0f8dce19  pygit2-0.23.1.tar.gz"
+sha512sums="12a36cadb5292116e7a663eda62e2ccd13af8b33d0e86c8eadfbcbe838629a369fcfddcefc7a2cca6b0d6c54df60010ae891ff77e0f3ccfd48de02776ed77cfb  pygit2-0.23.1.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Sep 28 2015 - 21:58:47 GMT